DCMTK: DSRDocumentTreeNodeObservationUIDFilter Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DSRDocumentTreeNodeObservationUIDFilter Class Reference

Class implementing a document tree node filter that checks for a given observation unique identifier. More...

Inheritance diagram for DSRDocumentTreeNodeObservationUIDFilter:

## Public Member Functions
| DSRDocumentTreeNodeObservationUIDFilter (const OFString &observationUID)
| constructor
virtual | ~DSRDocumentTreeNodeObservationUIDFilter ()
| destructor
virtual OFBool | matches (const DSRDocumentTreeNode *node) const
| check whether given node matches the filter criterion (observation unique identifier)
Public Member Functions inherited from DSRDocumentTreeNodeFilter
virtual | ~DSRDocumentTreeNodeFilter ()
| destructor

## Private Attributes
const OFString | ObservationUID
| observation unique identifier to check for

## Detailed Description

Class implementing a document tree node filter that checks for a given observation unique identifier.

## Constructor & Destructor Documentation

## ◆ DSRDocumentTreeNodeObservationUIDFilter()

DSRDocumentTreeNodeObservationUIDFilter::DSRDocumentTreeNodeObservationUIDFilter | ( | const OFString & | observationUID | ) |

constructor

Parameters

  observationUID | observation unique identifier to check for

## Member Function Documentation

## ◆ matches()

virtual OFBool DSRDocumentTreeNodeObservationUIDFilter::matches | ( | const DSRDocumentTreeNode * | node | ) | const
| virtual

check whether given node matches the filter criterion (observation unique identifier)

Parameters

  node | pointer to the node to be checked

Returns
  OFTrue if 'node' matches the filter criterion, OFFalse otherwise

Implements DSRDocumentTreeNodeFilter.

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrdnflt.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2